# Output Creation

## CLI Arguments

### Output Image Quality

Specify the image quality which translates to the image compression.

Argument: `--output-image-quality`

Default: `80`

Range: `0` to `100` at `1`

Example: `--output-image-quality 100`

### Output Image Scale

Specify the image scale based on the target image.

Argument: `--output-image-scale`

Default: `1.0`

Range: `0.25` to `8.0` at `0.25`

Example: `--output-image-scale 0.5`

### Output Audio Encoder

Specify the encoder used for the audio.

Argument: `--output-audio-encoder`

Default: `aac`

Choices:&#x20;

* `aac`
* `libmp3lame`
* `libopus`
* `libvorbis`
* `flac`

Example: `--output-audio-encoder libvorbis`

### Output Audio Quality

Specify the audio quality which translates to the audio compression.

Argument: `--output-audio-quality`

Default: `80`

Range: `0` to `100` at `1`

Example: `--output-audio-quality 100`

### Output Video Volume

Specify the audio volume based on the target video.

Argument: `--output-audio-volume`

Default: `100`

Range: `0` to `100` at `1`

Example: `--output-audio-volume 80`

### Output Video Encoder

Specify the encoder used for the video.

Argument: `--output-video-encoder`

Default: `libx264`

Choices:

* `libx264`
* `libx264rgb`
* `libx265`
* `libvpx-vp9`
* `h264_nvenc`
* `hevc_nvenc`
* `h264_amf`
* `hevc_amf`
* `h264_qsv`
* `hevc_qsv`
* `h264_videotoolbox`
* `hevc_videotoolbox`

Example: `--output-video-encoder libx265`

### Output Video Preset

Balance fast video processing and video file size.

Argument: `--output-video-preset`

Default: `veryfast`

Choices:

* `ultrafast`
* `superfast`
* `veryfast`
* `faster`
* `fast`
* `medium`
* `slow`
* `slower`
* `veryslow`

Example: `--output-video-preset ultrafast`

### Output Video Quality

Specify the video quality which translates to the video compression.

Argument: `--output-video-quality`

Default: `80`

Range: `0` to `100` at `1`

Example: `--output-video-quality 100`

### Output Video Scale

Specify the video scale based on the target video.

Argument: `--output-video-scale`

Default: `1.0`

Range: `0.25` to `8.0` at `0.25`

Example: `--output-video-scale 0.5`

### Output Video Fps

Specify the video fps based on the target video.

Argument: `--output-video-fps`

Default: `None`

Range: `1` to `60` at `1`

Example: `--output-video-fps 30`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[output_creation]
output_image_quality = 100
output_image_scale = 0.5
output_audio_encoder = libvorbis
output_audio_quality = 100
output_audio_volume = 80
output_video_encoder = libx265
output_video_preset = ultrafast
output_video_quality = 100
output_video_scale = 0.5
output_video_fps = 30
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/output-creation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
